Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.cache.eviction
Interface EvictionConfiguration

All Known Implementing Classes:
  ElementSizeConfiguration, FIFOConfiguration, LFUConfiguration, LRUConfiguration, MRUConfiguration

    public interface EvictionConfiguration

Eviction Configuration Interface.

This object serves as a POJO/Bean for getting and setting cache properties.

It also encapsulates XML parsing and configuration of a given type of EvictionPolicy.

Version:
  $Revision: 1.4 $
Author:
  Daniel Huang (dhuang@jboss.org)

Field Summary
`static java.lang.String` | `ATTR`
`static int` | `ELEMENT_GRANULARITY`
`static java.lang.String` | `MAX_AGE_SECONDS`
`static java.lang.String` | `MAX_ELEMENTS_PER_NODE`
`static java.lang.String` | `MAX_NODES`
`static java.lang.String` | `MIN_ELEMENTS`
`static java.lang.String` | `MIN_NODES`
`static java.lang.String` | `NAME`
`static int` | `NODE_GRANULARITY`
`static java.lang.String` | `REGION`
`static java.lang.String` | `REGION_POLICY_CLASS`
`static java.lang.String` | `TIME_TO_IDLE_SECONDS`
`static java.lang.String` | `TIME_TO_LIVE_SECONDS`
`static int` | `WAKEUP_DEFAULT`
`static java.lang.String` | `WAKEUP_INTERVAL_SECONDS`

Method Summary
`void` | `parseXMLConfig(org.w3c.dom.Element element)` Parse the XML configuration for the given specific eviction region.

Field Detail

### WAKEUP_DEFAULT

    static final int WAKEUP_DEFAULT

See Also:
  Constant Field Values

### ATTR

    static final java.lang.String ATTR

See Also:
  Constant Field Values

### NAME

    static final java.lang.String NAME

See Also:
  Constant Field Values

### REGION

    static final java.lang.String REGION

See Also:
  Constant Field Values

### WAKEUP_INTERVAL_SECONDS

    static final java.lang.String WAKEUP_INTERVAL_SECONDS

See Also:
  Constant Field Values

### MAX_NODES

    static final java.lang.String MAX_NODES

See Also:
  Constant Field Values

### MAX_ELEMENTS_PER_NODE

    static final java.lang.String MAX_ELEMENTS_PER_NODE

See Also:
  Constant Field Values

### TIME_TO_IDLE_SECONDS

    static final java.lang.String TIME_TO_IDLE_SECONDS

See Also:
  Constant Field Values

### TIME_TO_LIVE_SECONDS

    static final java.lang.String TIME_TO_LIVE_SECONDS

See Also:
  Constant Field Values

### MAX_AGE_SECONDS

    static final java.lang.String MAX_AGE_SECONDS

See Also:
  Constant Field Values

### MIN_NODES

    static final java.lang.String MIN_NODES

See Also:
  Constant Field Values

### MIN_ELEMENTS

    static final java.lang.String MIN_ELEMENTS

See Also:
  Constant Field Values

### REGION_POLICY_CLASS

    static final java.lang.String REGION_POLICY_CLASS

See Also:
  Constant Field Values

### NODE_GRANULARITY

    static final int NODE_GRANULARITY

See Also:
  Constant Field Values

### ELEMENT_GRANULARITY

    static final int ELEMENT_GRANULARITY

See Also:
  Constant Field Values

Method Detail

### parseXMLConfig

    void parseXMLConfig(org.w3c.dom.Element element)
                        throws ConfigureException

  Parse the XML configuration for the given specific eviction region.

  The element parameter should contain the entire region block. An example of an entire Element of the region would be:

  10

  Parameters:
    `element` - DOM element for the region.
  Throws:
    `ConfigureException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1998-2005 JBoss Inc . All Rights Reserved.